#
# This file is part of Rheolef.
#
# Copyright (C) 2000-2009 Pierre Saramito 
#
# Rheolef is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Rheolef is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Rheolef; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# --------------------------------------------------------------------------
## include this file in Makefile to work with rheolef

rheolef_prefix		      = /usr
rheolef_exec_prefix	      = /usr
CXX                   = g++
CXXCPP                = g++ -E
LD                    = g++

LDADD_RHEOLEF         = ${rheolef_prefix}/lib/x86_64-linux-gnu/librheolef.la
RHEOLEF_HARDCODE_FLAG = -Wl,-rpath -Wl,/lib/x86_64-linux-gnu
INCLUDES_RHEOLEF      = -Wdate-time -D_FORTIFY_SOURCE=2 -I/usr/include/eigen3  -g  -ffile-prefix-map=/build/rheolef-MAwEAT/rheolef-7.1=. -fstack-protector-strong -Wformat -Werror=format-security -std=c++17 -Wall -fpermissive -Wno-unused -Wno-strict-aliasing -Wno-deprecated-declarations -Wno-narrowing -Wno-literal-suffix -Wno-int-in-bool-context -O3      -I/usr/include/suitesparse -I/usr/include/suitesparse     -I/usr/include/eigen3   -I/usr/lib/x86_64-linux-gnu/openmpi/include/openmpi -I/usr/lib/x86_64-linux-gnu/openmpi/include    -I${rheolef_prefix}/include -I${rheolef_prefix}/lib/x86_64-linux-gnu
LIBS_RHEOLEF          = -L${rheolef_prefix}/lib/x86_64-linux-gnu -lrheolef -lgmp -ldmumps_ptscotch  -lumfpack -lamd -lcholmod -lccolamd -lcolamd -lcamd -lamd -lsuitesparseconfig -lamd  -lptscotchparmetis -lptscotch -lptscotcherrexit -lz     -lboost_mpi -lboost_serialization -L/usr/lib/x86_64-linux-gnu/openmpi/lib -lmpi_cxx -lmpi     $(RHEOLEF_HARDCODE_FLAG)
